package de.frajul.endlessroll.entities.textures;

/**
 * Created by Julian on 11.12.2015.
 */
public class Texture {

    private int id;
    private int atlasWidth;
    private int atlasHeight;

    public Texture(int id, int atlasWidth, int atlasHeight) {
        this.id = id;
        this.atlasWidth = atlasWidth;
        this.atlasHeight = atlasHeight;
    }

    public Texture(Texture other) {
        this.id = other.getId();
        this.atlasWidth = other.getAtlasWidth();
        this.atlasHeight = other.getAtlasHeight();
    }

    public int getId() {
        return id;
    }

    public int getAtlasWidth() {
        return atlasWidth;
    }

    public int getAtlasHeight() {
        return atlasHeight;
    }

}
